AsterNet Class Library (Sandcastle documentation)

| ManagerConnection DNDState Event

A DNDStateEvent is triggered by the Zap channel driver when a channel enters or leaves DND (do not disturb) state.

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public event DNDStateEventHandler DNDState

    Public Event DNDState As DNDStateEventHandler

    public:
     event DNDStateEventHandler^ DNDState {
    	void add (DNDStateEventHandler^ value);
    	void remove (DNDStateEventHandler^ value);
    }

    member DNDState : IEvent<DNDStateEventHandler,
        DNDStateEvent>

#### Value

Type: AsterNET.Manager
DNDStateEventHandler
See Also

#### Reference

ManagerConnection Class
AsterNET.Manager Namespace